> For the complete documentation index, see [llms.txt](https://api.clearinghouse.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.clearinghouse.net/api-reference-v2/endpoints/document-details/document-type.md).

# Document Type

Filter cases by document type

## Filter by document type (integer).

<mark style="color:blue;">`GET`</mark> `https://clearinghouse.net/api/v2/cases?doc_type=document_type_id`

#### Query Parameters

| Name                                        | Type    | Description                                                                  |
| ------------------------------------------- | ------- | ---------------------------------------------------------------------------- |
| doc\_type<mark style="color:red;">\*</mark> | integer | Document Type ID (see list below for list of integers and its mapped values) |

#### Headers

| Name                                            | Type   | Description                                                                                                                    |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>Authorization</p><p><code>Token XXXXXXXXXXX</code></p><p>where</p><p><code>XXXXXXXXXXX</code></p><p>is the token string</p> |

{% tabs %}
{% tab title="200 Cases successfully retrieved" %}

{% endtab %}

{% tab title="400: Bad Request No results, key not found, or invalid parameter" %}

```
\\ Examples of:
\\ No results, key not found, or invalid parameter

\\ No results
\\ Example query endpoint: /api/v2/cases/?case_id=1&case_ongoing=1
["No results for {'case_id': '1', 'case_ongoing': '1'}"]

\\ Key not found
\\ Example query endpoint: /api/v2/cases?test_key=1
["API Error: Key: test_key, Value: 1 not found."]

\\ Example query endpoint: /api/v2/cases/?case_id=xyz
["API Error: zxy is not an integer."]
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    "detail":"Authentication credentials were not provided."
}
```

{% endtab %}
{% endtabs %}

| 5913  | Notice Letter                                      |
| ----- | -------------------------------------------------- |
| 5909  | Docket                                             |
| 5911  | Monitor/Expert/Receiver Report                     |
| 5899  | FOIA Request                                       |
| 5896  | Legislative Report                                 |
| 5905  | Complaint                                          |
| 5891  | Magistrate Report/Recommendation                   |
| 5904  | Transcript                                         |
| 5910  | Findings Letter/Report                             |
| 5915  | Pleading / Motion / Brief                          |
| 5898  | Press Release                                      |
| 5906  | Correspondence                                     |
| 5907  | Decree/Settlement                                  |
| 5900  | Settlement Agreement                               |
| 5894  | Declaration/Affidavit                              |
| 5901  | Published Order/Opinion                            |
| 5892  | Statute/Ordinance/Regulation                       |
| 5912  | Non-Decree Order                                   |
| 5893  | Order/Opinion                                      |
| 5914  | Other                                              |
| 5897  | Internal memorandum                                |
| 5908  | Discovery Material/FOIA Release                    |
| 5895  | Justification Memo                                 |
| 5903  | Unpublished Order/Opinion                          |
| 38543 | Executive Order                                    |
| 5902  | Published Order/Opinion (Table, Lexis, or Westlaw) |

For more information about these document types, see [Document Details](/api-reference-v2/objects/document/document-details.md#document_type).

**Example**

{% tabs %}
{% tab title="URL" %}

```
https://clearinghouse.net/api/v2/case?doc_type=5902
```

{% endtab %}

{% tab title="python" %}

```
import requests

url = "https://clearinghouse.net/api/v2/case?doc_type=5518"
headers = { 'Authorization': 'Token XXXXXXXXXX',
'User-Agent': 'Chrome v22.2 Linux Ubuntu'
}
response = requests.request("GET", url, headers=headers, data={})

print(response.text)
```

{% endtab %}
{% endtabs %}
